package com.mortals.xhx.module.workman.model;

import java.util.List;
import com.mortals.xhx.module.workman.model.WorkmanEntity;
/**
 * 工作人员查询对象
 *
 * @author zxfei
 * @date 2023-05-25
 */
public class WorkmanQuery extends WorkmanEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 所属房间id */
    private Long roomIdStart;

    /** 结束 所属房间id */
    private Long roomIdEnd;

    /** 增加 所属房间id */
    private Long roomIdIncrement;

    /** 所属房间id列表 */
    private List <Long> roomIdList;

    /** 所属房间id排除列表 */
    private List <Long> roomIdNotList;

    /** 所属房间名称 */
    private List<String> roomNameList;

    /** 所属房间名称排除列表 */
    private List <String> roomNameNotList;
    /** 所属部门 */
    private List<String> deptNameList;

    /** 所属部门排除列表 */
    private List <String> deptNameNotList;
    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 开始 性别(0.男,1.女) */
    private Integer sexStart;

    /** 结束 性别(0.男,1.女) */
    private Integer sexEnd;

    /** 增加 性别(0.男,1.女) */
    private Integer sexIncrement;

    /** 性别(0.男,1.女)列表 */
    private List <Integer> sexList;

    /** 性别(0.男,1.女)排除列表 */
    private List <Integer> sexNotList;

    /** 职务 */
    private List<String> userPostList;

    /** 职务排除列表 */
    private List <String> userPostNotList;
    /** 电话 */
    private List<String> phoneList;

    /** 电话排除列表 */
    private List <String> phoneNotList;
    /** 手机 */
    private List<String> mobileList;

    /** 手机排除列表 */
    private List <String> mobileNotList;
    /** 简介 */
    private List<String> summaryList;

    /** 简介排除列表 */
    private List <String> summaryNotList;
    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 工作状态，来源基础设置 */
    private List<String> workStatusList;

    /** 工作状态，来源基础设置排除列表 */
    private List <String> workStatusNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 登录用户名 */
    private List<String> loginNameList;

    /** 登录用户名排除列表 */
    private List <String> loginNameNotList;
    /** 密码 */
    private List<String> loginPwdList;

    /** 密码排除列表 */
    private List <String> loginPwdNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WorkmanQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WorkmanQuery> andConditionList;

    public WorkmanQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 所属房间id
     * @return roomIdStart
     */
    public Long getRoomIdStart(){
        return this.roomIdStart;
    }

    /**
     * 设置 开始 所属房间id
     * @param roomIdStart
     */
    public void setRoomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
    }

    /**
     * 获取 结束 所属房间id
     * @return $roomIdEnd
     */
    public Long getRoomIdEnd(){
        return this.roomIdEnd;
    }

    /**
     * 设置 结束 所属房间id
     * @param roomIdEnd
     */
    public void setRoomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
    }

    /**
     * 获取 增加 所属房间id
     * @return roomIdIncrement
     */
    public Long getRoomIdIncrement(){
        return this.roomIdIncrement;
    }

    /**
     * 设置 增加 所属房间id
     * @param roomIdIncrement
     */
    public void setRoomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
    }

    /**
     * 获取 所属房间id
     * @return roomIdList
     */
    public List<Long> getRoomIdList(){
        return this.roomIdList;
    }

    /**
     * 设置 所属房间id
     * @param roomIdList
     */
    public void setRoomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
    }

    /**
     * 获取 所属房间id
     * @return roomIdNotList
     */
    public List<Long> getRoomIdNotList(){
        return this.roomIdNotList;
    }

    /**
     * 设置 所属房间id
     * @param roomIdNotList
     */
    public void setRoomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
    }


    /**
     * 获取 所属房间名称
     * @return roomNameList
     */
    public List<String> getRoomNameList(){
        return this.roomNameList;
    }

    /**
     * 设置 所属房间名称
     * @param roomNameList
     */
    public void setRoomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
    }

    /**
     * 获取 所属房间名称
     * @return roomNameNotList
     */
    public List<String> getRoomNameNotList(){
        return this.roomNameNotList;
    }

    /**
     * 设置 所属房间名称
     * @param roomNameNotList
     */
    public void setRoomNameNotList(List<String> roomNameNotList){
        this.roomNameNotList = roomNameNotList;
    }

    /**
     * 获取 所属部门
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 姓名
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 姓名
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 姓名
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 开始 性别(0.男,1.女)
     * @return sexStart
     */
    public Integer getSexStart(){
        return this.sexStart;
    }

    /**
     * 设置 开始 性别(0.男,1.女)
     * @param sexStart
     */
    public void setSexStart(Integer sexStart){
        this.sexStart = sexStart;
    }

    /**
     * 获取 结束 性别(0.男,1.女)
     * @return $sexEnd
     */
    public Integer getSexEnd(){
        return this.sexEnd;
    }

    /**
     * 设置 结束 性别(0.男,1.女)
     * @param sexEnd
     */
    public void setSexEnd(Integer sexEnd){
        this.sexEnd = sexEnd;
    }

    /**
     * 获取 增加 性别(0.男,1.女)
     * @return sexIncrement
     */
    public Integer getSexIncrement(){
        return this.sexIncrement;
    }

    /**
     * 设置 增加 性别(0.男,1.女)
     * @param sexIncrement
     */
    public void setSexIncrement(Integer sexIncrement){
        this.sexIncrement = sexIncrement;
    }

    /**
     * 获取 性别(0.男,1.女)
     * @return sexList
     */
    public List<Integer> getSexList(){
        return this.sexList;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param sexList
     */
    public void setSexList(List<Integer> sexList){
        this.sexList = sexList;
    }

    /**
     * 获取 性别(0.男,1.女)
     * @return sexNotList
     */
    public List<Integer> getSexNotList(){
        return this.sexNotList;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param sexNotList
     */
    public void setSexNotList(List<Integer> sexNotList){
        this.sexNotList = sexNotList;
    }


    /**
     * 获取 职务
     * @return userPostList
     */
    public List<String> getUserPostList(){
        return this.userPostList;
    }

    /**
     * 设置 职务
     * @param userPostList
     */
    public void setUserPostList(List<String> userPostList){
        this.userPostList = userPostList;
    }

    /**
     * 获取 职务
     * @return userPostNotList
     */
    public List<String> getUserPostNotList(){
        return this.userPostNotList;
    }

    /**
     * 设置 职务
     * @param userPostNotList
     */
    public void setUserPostNotList(List<String> userPostNotList){
        this.userPostNotList = userPostNotList;
    }

    /**
     * 获取 电话
     * @return phoneList
     */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
     * 设置 电话
     * @param phoneList
     */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
     * 获取 电话
     * @return phoneNotList
     */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
     * 设置 电话
     * @param phoneNotList
     */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
     * 获取 手机
     * @return mobileList
     */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
     * 设置 手机
     * @param mobileList
     */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }

    /**
     * 获取 手机
     * @return mobileNotList
     */
    public List<String> getMobileNotList(){
        return this.mobileNotList;
    }

    /**
     * 设置 手机
     * @param mobileNotList
     */
    public void setMobileNotList(List<String> mobileNotList){
        this.mobileNotList = mobileNotList;
    }

    /**
     * 获取 简介
     * @return summaryList
     */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
     * 设置 简介
     * @param summaryList
     */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }

    /**
     * 获取 简介
     * @return summaryNotList
     */
    public List<String> getSummaryNotList(){
        return this.summaryNotList;
    }

    /**
     * 设置 简介
     * @param summaryNotList
     */
    public void setSummaryNotList(List<String> summaryNotList){
        this.summaryNotList = summaryNotList;
    }

    /**
     * 获取 照片
     * @return photoPathList
     */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
     * 获取 照片
     * @return photoPathNotList
     */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
     * 设置 照片
     * @param photoPathNotList
     */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
     * 获取 工作状态，来源基础设置
     * @return workStatusList
     */
    public List<String> getWorkStatusList(){
        return this.workStatusList;
    }

    /**
     * 设置 工作状态，来源基础设置
     * @param workStatusList
     */
    public void setWorkStatusList(List<String> workStatusList){
        this.workStatusList = workStatusList;
    }

    /**
     * 获取 工作状态，来源基础设置
     * @return workStatusNotList
     */
    public List<String> getWorkStatusNotList(){
        return this.workStatusNotList;
    }

    /**
     * 设置 工作状态，来源基础设置
     * @param workStatusNotList
     */
    public void setWorkStatusNotList(List<String> workStatusNotList){
        this.workStatusNotList = workStatusNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 登录用户名
     * @return loginNameList
     */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
     * 设置 登录用户名
     * @param loginNameList
     */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }

    /**
     * 获取 登录用户名
     * @return loginNameNotList
     */
    public List<String> getLoginNameNotList(){
        return this.loginNameNotList;
    }

    /**
     * 设置 登录用户名
     * @param loginNameNotList
     */
    public void setLoginNameNotList(List<String> loginNameNotList){
        this.loginNameNotList = loginNameNotList;
    }

    /**
     * 获取 密码
     * @return loginPwdList
     */
    public List<String> getLoginPwdList(){
        return this.loginPwdList;
    }

    /**
     * 设置 密码
     * @param loginPwdList
     */
    public void setLoginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
    }

    /**
     * 获取 密码
     * @return loginPwdNotList
     */
    public List<String> getLoginPwdNotList(){
        return this.loginPwdNotList;
    }

    /**
     * 设置 密码
     * @param loginPwdNotList
     */
    public void setLoginPwdNotList(List<String> loginPwdNotList){
        this.loginPwdNotList = loginPwdNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public WorkmanQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public WorkmanQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public WorkmanQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public WorkmanQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public WorkmanQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public WorkmanQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  所属房间id
     * @param roomId
     */
    public WorkmanQuery roomId(Long roomId){
        setRoomId(roomId);
        return this;
    }

    /**
     * 设置 开始 所属房间id
     * @param roomIdStart
     */
    public WorkmanQuery roomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
        return this;
    }

    /**
     * 设置 结束 所属房间id
     * @param roomIdEnd
     */
    public WorkmanQuery roomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属房间id
     * @param roomIdIncrement
     */
    public WorkmanQuery roomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
        return this;
    }

    /**
     * 设置 所属房间id
     * @param roomIdList
     */
    public WorkmanQuery roomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
        return this;
    }

    /**
     * 设置 所属房间id
     * @param roomIdNotList
     */
    public WorkmanQuery roomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
        return this;
    }


    /**
     * 设置 所属房间名称
     * @param roomName
     */
    public WorkmanQuery roomName(String roomName){
        setRoomName(roomName);
        return this;
    }

    /**
     * 设置 所属房间名称
     * @param roomNameList
     */
    public WorkmanQuery roomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
        return this;
    }


    /**
     * 设置 所属部门
     * @param deptName
     */
    public WorkmanQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptNameList
     */
    public WorkmanQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 姓名
     * @param name
     */
    public WorkmanQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public WorkmanQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }

    /**
     * 设置  性别(0.男,1.女)
     * @param sex
     */
    public WorkmanQuery sex(Integer sex){
        setSex(sex);
        return this;
    }

    /**
     * 设置 开始 性别(0.男,1.女)
     * @param sexStart
     */
    public WorkmanQuery sexStart(Integer sexStart){
        this.sexStart = sexStart;
        return this;
    }

    /**
     * 设置 结束 性别(0.男,1.女)
     * @param sexEnd
     */
    public WorkmanQuery sexEnd(Integer sexEnd){
        this.sexEnd = sexEnd;
        return this;
    }

    /**
     * 设置 增加 性别(0.男,1.女)
     * @param sexIncrement
     */
    public WorkmanQuery sexIncrement(Integer sexIncrement){
        this.sexIncrement = sexIncrement;
        return this;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param sexList
     */
    public WorkmanQuery sexList(List<Integer> sexList){
        this.sexList = sexList;
        return this;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param sexNotList
     */
    public WorkmanQuery sexNotList(List<Integer> sexNotList){
        this.sexNotList = sexNotList;
        return this;
    }


    /**
     * 设置 职务
     * @param userPost
     */
    public WorkmanQuery userPost(String userPost){
        setUserPost(userPost);
        return this;
    }

    /**
     * 设置 职务
     * @param userPostList
     */
    public WorkmanQuery userPostList(List<String> userPostList){
        this.userPostList = userPostList;
        return this;
    }


    /**
     * 设置 电话
     * @param phone
     */
    public WorkmanQuery phone(String phone){
        setPhone(phone);
        return this;
    }

    /**
     * 设置 电话
     * @param phoneList
     */
    public WorkmanQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
        return this;
    }


    /**
     * 设置 手机
     * @param mobile
     */
    public WorkmanQuery mobile(String mobile){
        setMobile(mobile);
        return this;
    }

    /**
     * 设置 手机
     * @param mobileList
     */
    public WorkmanQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
        return this;
    }


    /**
     * 设置 简介
     * @param summary
     */
    public WorkmanQuery summary(String summary){
        setSummary(summary);
        return this;
    }

    /**
     * 设置 简介
     * @param summaryList
     */
    public WorkmanQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
        return this;
    }


    /**
     * 设置 照片
     * @param photoPath
     */
    public WorkmanQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
        return this;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public WorkmanQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
        return this;
    }


    /**
     * 设置 工作状态，来源基础设置
     * @param workStatus
     */
    public WorkmanQuery workStatus(String workStatus){
        setWorkStatus(workStatus);
        return this;
    }

    /**
     * 设置 工作状态，来源基础设置
     * @param workStatusList
     */
    public WorkmanQuery workStatusList(List<String> workStatusList){
        this.workStatusList = workStatusList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public WorkmanQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public WorkmanQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public WorkmanQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public WorkmanQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public WorkmanQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public WorkmanQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 设置 登录用户名
     * @param loginName
     */
    public WorkmanQuery loginName(String loginName){
        setLoginName(loginName);
        return this;
    }

    /**
     * 设置 登录用户名
     * @param loginNameList
     */
    public WorkmanQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
        return this;
    }


    /**
     * 设置 密码
     * @param loginPwd
     */
    public WorkmanQuery loginPwd(String loginPwd){
        setLoginPwd(loginPwd);
        return this;
    }

    /**
     * 设置 密码
     * @param loginPwdList
     */
    public WorkmanQuery loginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<WorkmanQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<WorkmanQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<WorkmanQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<WorkmanQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}